These are chat archives for MylesIsCool/ViaVersion

13th
Mar 2016
ridalarry
@ridalarry
Mar 13 2016 01:14
0.6.4 caused more bugs? I have seen that there are like 5 more bug reports, or these are old bugs and it just got reported?
lenis0012
@lenis0012
Mar 13 2016 01:35
there were 12 earlier today
ridalarry
@ridalarry
Mar 13 2016 01:35
oh
@lenis0012 are these errors caused by old versions and just got reported now or they are created by the latest version?
ridalarry
@ridalarry
Mar 13 2016 02:25
I know that AAC is not compitable and the dev is not helping, but now the bugs stopped crashing the players, but it has errors. Is it fixable? the console errors are related to protocollib so this can be caused by another plugins that use the same features too. Anyways this is the console log on player join http://pastebin.com/U3pA8M01
That error was caused using the latest Spigot 1.8.8, AAC latest version, ViaVersion 0.4.6 and protocolib 3.6.5 (not the latest but the recommended for 1.8.8 spigot)
and no other plugins
Myles
@MylesIsCool
Mar 13 2016 10:49
@ridalarry man can we just drop this, protocol lib causes the errors because the plugin using it is doing something wrong. I prefer you not wasting my time. You can suppress errors in the config if you wanna live on the edge, but I'm not gonna support AAC.
Mats
@Matsv
Mar 13 2016 13:30
MylesIsCool/ViaVersion#193 It happens to 1.8.9 users, but we don't change anything to 1.8.9? Don't think this is ViaVersions problem
Myles
@MylesIsCool
Mar 13 2016 13:30
There is a minecraft bug relating to this I believe, i've seen it on my own server in 1.8 without viaver
John
@i9hdkill
Mar 13 2016 14:39
Matsv, aac seems to be working for 1.8.9 clients. Error is only showing up when a 1.9 client logins. But this is obvious, if you followed the discussion about it. It's just unsupported.
Mats
@Matsv
Mar 13 2016 14:41
What is obvious?
@i9hdkill Do you mean the Spigot post? Other plugins could use the same thing what causes this problem as AAC. It is the error what you get from AAC, but it could also be another plugin since he doesn't say his plugin list.
John
@i9hdkill
Mar 13 2016 14:55
No I mean the error from viaversion when it tries to handle stuff from aac for 1.9 clients
Mats
@Matsv
Mar 13 2016 14:56
@i9hdkill Can you send me a link?
John
@i9hdkill
Mar 13 2016 14:58
Oh sry Matsv! I thought the other comment about the aac stuff is also from you. Sry for that. I mean the pastebin link above
Mats
@Matsv
Mar 13 2016 14:58
@i9hdkill Ah, no problem ;)
Myles
@MylesIsCool
Mar 13 2016 17:08
whew lots of work on the experimental protocol api which is WIP
Mats
@Matsv
Mar 13 2016 17:15
yeah, but it looks awesome so far :)
Hugo Kerstens
@hugokerstens
Mar 13 2016 18:53
Sorry about my inactivity lately, have been very busy with school and other stuff...
TiTo_418
@TiTo-418
Mar 13 2016 19:01
Hey
Hugo Kerstens
@hugokerstens
Mar 13 2016 19:02
Hi @TiTo-418 ;D
TiTo_418
@TiTo-418
Mar 13 2016 19:02
I'm having a problem with bossbars
I got kicked with this msg
Hugo Kerstens
@hugokerstens
Mar 13 2016 19:02
What's your problem exactly?
Whenever a bossbar spawns, I got kicked with that msg
Hugo Kerstens
@hugokerstens
Mar 13 2016 19:03
Could you create an issue on github according to the issue template?
It helps us organize all issues and provides us some standard information ;)
TiTo_418
@TiTo-418
Mar 13 2016 19:04
Sure
Hugo Kerstens
@hugokerstens
Mar 13 2016 19:04
And make sure to include your console error log
TiTo_418
@TiTo-418
Mar 13 2016 19:15
done MylesIsCool/ViaVersion#216
Hugo Kerstens
@hugokerstens
Mar 13 2016 19:21
Thanks! Will look into it